Skip to main content
GET
Start OAuth authorization code flow with PKCE
Browser-facing authorize page for hosted connect UX. Use this only if you are embedding the hosted connection page. Partner backends should call POST /oauth/authorize instead.

Query Parameters

client_id
string
required
response_type
enum<string>
required
Available options:
code
redirect_uri
string<uri>
required
scope
string
required
state
string
required
Minimum string length: 16
code_challenge
string
required
Minimum string length: 43
code_challenge_method
enum<string>
required
Available options:
S256
connection_session_id
string

Optional account-linking session to complete after user authorization.

Response

Renders the user authorization and consent page when interaction is required.

The response is of type string.